import request from '@/config/axios'

export interface MmPredictItemVO {
  id: string
  itemno: string,
  itemname: string,
  itemtypeid: string,
  itemtypename: string,
  granularity: number,
  isfuse: number,
  workchecked: number,
  moduleid: string,
  itemorder: number,
  status: number,
  categoryid: string,
  pointid: string,
  tagname: string,
  resulttableid: string,
  tablename: string,
}

export interface MmPredictItemPageReqVO extends PageParam {
  itemno?: string,
  itemname?: string,
}

// 查询MmPredictItem列表
export const getMmPredictItemPage = (params: MmPredictItemPageReqVO) => {
  return request.get({ url: '/pre/result-table/page', params })
}

// 查询MmPredictItem详情
export const getMmPredictItem = (id: number) => {
  return request.get({ url: `/pre/result-table/get/${id}`})
}

// 新增MmPredictItem
export const createMmPredictItem = (data: MmPredictItemVO) => {
  return request.post({ url: '/pre/result-table/create', data })
}

// 修改MmPredictItem
export const updateMmPredictItem = (data: MmPredictItemVO) => {
  return request.put({ url: '/pre/result-table/update', data })
}

// 删除MmPredictItem
export const deleteMmPredictItem = (id: number) => {
  return request.delete({ url: '/pre/result-table/delete?id=' + id })
}
